Bug 1027892 - Unable to fetch storage nodes when >1 nodes failed to connect to cluster
Unable to fetch storage nodes when >1 nodes failed to connect to cluster
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ER07
: JON 3.2.0
Assigned To: John Sanda
Mike Foley
Depends On: 1027740
Blocks: 1012435
  Show dependency treegraph
Reported: 2013-11-07 08:15 EST by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-02 15:42:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 John Sanda 2013-11-12 20:15:27 EST
Changes have been pushed to master. After some further testing and review in master I will cherry-pick the changes to the release branch. See bug 1027740 for details.
Comment 2 John Sanda 2013-11-14 14:11:03 EST
Changes have been committed to the release/jon3.2.x branch.

commit hashes:
Comment 3 Simeon Pinder 2013-11-19 10:48:31 EST
Moving to ON_QA as available for testing with new brew build.
Comment 4 John Sanda 2013-11-20 07:06:34 EST
I am moving this back to ASSIGNED because of a bug in one of my commits. The code changes introduced by commit 49028b166a will produce a ClassCastException when there are unacked alerts. I will have the fix ready soon.
Comment 5 John Sanda 2013-11-20 11:56:00 EST
Fix for the unacked alert count query has been committed to release/jon3.2.x branch.

commit hash: c9eda2b506
Comment 6 Simeon Pinder 2013-11-21 23:44:58 EST
Moving to ER07 target milestone and MODIFIED as initially rejected by QE because of bad ER6 build but put into varied states(MODIFIED & ASSIGNED).
Comment 7 Simeon Pinder 2013-11-22 00:01:46 EST
Moving to ON_QA as available to test in ER7 and later brew builds.

Note You need to log in before you can comment on or make changes to this bug.